// swift-tools-version:4.0
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

func loggingDependency() -> Package.Dependency {
#if USE_FOO
    return .package(url: "../foo", .branch("master"))
#else
    return .package(url: "../bar", .branch("master"))
#endif
}

func loggingDependencyTarget() -> Target.Dependency {
#if USE_FOO
    return "foo"
#else
    return "bar"
#endif
}

let package = Package(
    name: "somelibA",
    products: [
        // Products define the executables and libraries produced by a package, and make them visible to other packages.
        .library(
            name: "somelibA",
            targets: ["somelibA"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(url: "../spi", .branch("master")),
        loggingDependency()
    ],
    targets: [
        // Targets are the basic building blocks of a package. A target can define a module or a test suite.
        // Targets can depend on other targets in this package, and on products in packages which this package depends on.
        .target(
            name: "somelibA",
            dependencies: ["spi", loggingDependencyTarget()]),
        .testTarget(
            name: "somelibATests",
            dependencies: ["somelibA"]),
    ]
)
